curl --location --request POST 'https://app.chatsistant.com/api/v1/source-tag/<uuid>/update' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"name": "updated name",
}'
import requests
url = 'https://app.chatsistant.com/api/v1/source-tag/<uuid>/update'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"name": "updated name",
}
response = requests.post(url, headers=headers, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const url = "https://app.chatsistant.com/api/v1/source-tag/<uuid>/update";
const headers = {
"Content-Type": "application/json",
Authorization: "Bearer <token>",
};
const data = {
name: "updated name",
};
axios
.post(url, data, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
{
"color": "#088F8F",
"created_at": "2024-09-12T00:19:12Z",
"data_source_uuids": [],
"modified_at": "2024-09-13T01:25:07Z",
"name": "updated name",
"uuid": "d6099f4845794b4bb088b291fc3ef23a"
}
Data Source Tags
Update Source Tag
Update the properties of a source tag, including its list of documents.
POST
/
api
/
v1
/
source-tag
/
<uuid>
/
update
curl --location --request POST 'https://app.chatsistant.com/api/v1/source-tag/<uuid>/update' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"name": "updated name",
}'
import requests
url = 'https://app.chatsistant.com/api/v1/source-tag/<uuid>/update'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"name": "updated name",
}
response = requests.post(url, headers=headers, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const url = "https://app.chatsistant.com/api/v1/source-tag/<uuid>/update";
const headers = {
"Content-Type": "application/json",
Authorization: "Bearer <token>",
};
const data = {
name: "updated name",
};
axios
.post(url, data, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
{
"color": "#088F8F",
"created_at": "2024-09-12T00:19:12Z",
"data_source_uuids": [],
"modified_at": "2024-09-13T01:25:07Z",
"name": "updated name",
"uuid": "d6099f4845794b4bb088b291fc3ef23a"
}
Path
string
required
Source tag uuid
Body
string
string
The color of the tag in code format, e.g. #088F8F
List[string]
The list of data sources to initially be included in the source tag.
Response
string
string
string
List[string]
string
string
curl --location --request POST 'https://app.chatsistant.com/api/v1/source-tag/<uuid>/update' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"name": "updated name",
}'
import requests
url = 'https://app.chatsistant.com/api/v1/source-tag/<uuid>/update'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"name": "updated name",
}
response = requests.post(url, headers=headers, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const url = "https://app.chatsistant.com/api/v1/source-tag/<uuid>/update";
const headers = {
"Content-Type": "application/json",
Authorization: "Bearer <token>",
};
const data = {
name: "updated name",
};
axios
.post(url, data, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
{
"color": "#088F8F",
"created_at": "2024-09-12T00:19:12Z",
"data_source_uuids": [],
"modified_at": "2024-09-13T01:25:07Z",
"name": "updated name",
"uuid": "d6099f4845794b4bb088b291fc3ef23a"
}
⌘I